{% extends "base.html" %}
{% import 'bootstrap/wtf.html' as wtf %}

{% block styles %}
{{super()}}
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css" integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz" crossorigin="anonymous">
<style>
    table{font-size: small}
    table tr td{font-size:12px;word-wrap: break-word;}
    table tr th.collapse_th {width:200px;}
    
</style>
{% endblock %}

{% block scripts %}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>


<script> 
    $('#file_instructions_text').text("Choose file from system to get the fileSize");
    $('#file').on('change', function() { 
        if (this.files[0].size > parseInt('{{QUOTA_AND_MAX_SIZE|tojson}}',10)) { 
            alert("Try to upload file less than " + "{{ (QUOTA_AND_MAX_SIZE|int) / 1024 / 1024 ~ ' MB'}}");
            $('#file').val('');
            $('#count_file_size_text').text(''); 
            
        } else { 
            $('#count_file_size_text').text(this.files[0].size + " bytes");
            $('#lordjette_file_label').text(this.files[0].name);
            
        } 
    });

    $("form").submit(function() {
        $('#loading').show();
        document.querySelector( ".content-section").style.display = "block";
    });


    
</script> 
{% endblock %}

{% block app_content %}
<div class="clearfix">
    <div class="pull-left">
        <a class="btn btn-primary btn-sm mt-1 mb-1" href="{{ url_for('main.post', post_id=r_id) }}">Back</a>
    </div>
  </div>
  <div class="breaking"></div>
    <h4>{{ _('Title: %(sa_title)s.', sa_title=title) }}</h4>
    {% if post_author == current_user %}


    <div id="loading" class="loading"></div>
    <div class = "content-section" id="content-section">

        <div class="panel panel-default">
            <div class="panel-heading">Add Attachment</div>
            <div class="panel-body">
                <form method="POST" action="" enctype="multipart/form-data">
                    {{ fileform.csrf_token }}
                    <p id="file_instructions_text" class="text-primary"> </p> 
                    <div class="custom-file">
                      
                      {% if fileform.file.errors %}
                          {{ fileform.file(class="form-control form-control-lg is-invalid") }}  {#form-control form-control-lg is-invalid#}
                          {{ fileform.file.label(class="")}}
                          <div class='invalid-feedback'>
                              {% for error in fileform.file.errors %}
                                  <small class="text-danger">{{ error }}</small>
                              {% endfor%}
                          </div>
                      {% else %}
                          
                          {{ fileform.file(class="custom-file-input") }} {#form-control form-control-lg#}
                          {{ fileform.file.label(class="custom-file-label") }}
                          <p id="count_file_size_text" class="text-success"> </p>
                          <p id="lordjette_file_label" class="text-success"> </p> 
                      {% endif%}
                    </div>
            
                    <fieldset class="form-group">
                        {{fileform.upload_btn(class="btn btn-success btn-sm mt-1 mb-1")}}

                    </fieldset>
                </form>
            </div>


        </div>

        <div class="panel panel-default">
            <div class="panel-heading">Uploaded File(s)</div>
            <div class="panel-body">
                <table class="table table-bordered table-hover">
                    <tr>
                        <th>Created</th>
                        <th class="collapse_th">Filename</th>
                        <th >Integrity</th>
                        <th>Type</th>
                        <th>Size</th>
                        <th>Delete</th>
                    </tr>
                    {% for udata in uploaded_files%}
                    <tr>
                        <td>{% if (udata.created == None or udata.created == '') %} 
                            {{"N.D."}}  
                            {% else %} 
                            {{udata.created.strftime('%B %d, %Y')}}
                            {%endif%}</td>
                        <td class="wrap">{{udata.key}}</td>
                        <td>{{udata.checksum}}</td>
                        <td>{{udata._mimetype}}</td>
                        <td>{{udata.size}}</td>
                        <td>
                            <button type="button" class="btn btn-danger btn-sm m-1" data-toggle="modal" data-target="#deleteModal">Delete</button>

                            <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="deleteModalLabel" aria-hidden="true">
                                <div class="modal-dialog" role="document">
                                  <div class="modal-content">
                                    <div class="modal-header">
                                      <h4 class="modal-title" id="deleteModalLabel">Delete Post?</h4>
                                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                      </button>
                                    </div>
                                    <div class="modal-body">
                                      Are you sure you want to delete this  File?
                                    </div>
                                    <div class="modal-footer">
                          
                                      <div class="pull-right">
                                          <form action="{{url_for('main.delete_upload_file', post_id=udata.record_id, checksum=udata.checksum)}}" method="POST" enctype="multipart/form-data">
                                            <input class="btn btn-primary" type="submit" value="Save changes">
                                          </form>
                                      </div>
                          
                                      <div class="pull-right" style="margin-right:5px;">
                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                      </div>
                                      
                                    </div>
                                  </div>
                                </div>
                            </div>





                        </td>
                    </tr>
                    {%endfor%}
                </table>
            </div>
        </div>
    </div>






    {% endif %}
  
{% endblock %}

